OGRE: Ogre::RTShader::ProgramWriterManager Class Reference

| OGRE 14.5 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::RTShader::ProgramWriterManager Class Reference
Optional Components » RTShaderSystem

`#include <OgreShaderProgramWriterManager.h>`

Inheritance diagram for Ogre::RTShader::ProgramWriterManager:
[legend]

## Public Member Functions
| ProgramWriterManager ()
| ~ProgramWriterManager ()
void | addProgramWriter (const String &lang, ProgramWriter *writer)
| register and transfer ownership of writer
ProgramWriter * | getProgramWriter (const String &language) const
bool | isLanguageSupported (const String &lang)
| Returns whether a given high-level language is supported.
Public Member Functions inherited from Ogre::Singleton< ProgramWriterManager >
| ~Singleton (void)

## Static Public Member Functions
static ProgramWriterManager & | getSingleton ()
| Override standard Singleton retrieval.
static ProgramWriterManager * | getSingletonPtr ()
| Get the singleton instance.
Static Public Member Functions inherited from Ogre::Singleton< ProgramWriterManager >
static ProgramWriterManager & | getSingleton (void)
| Get the singleton instance.
static ProgramWriterManager * | getSingletonPtr (void)
| Get the singleton instance.

## Constructor & Destructor Documentation

## ◆ ProgramWriterManager()

Ogre::RTShader::ProgramWriterManager::ProgramWriterManager | ( |  | ) |

Referenced by getSingleton(), and getSingletonPtr().

## ◆ ~ProgramWriterManager()

Ogre::RTShader::ProgramWriterManager::~ProgramWriterManager | ( |  | ) |

## Member Function Documentation

## ◆ addProgramWriter()

void Ogre::RTShader::ProgramWriterManager::addProgramWriter | ( | const String & | lang,
|  | ProgramWriter * | writer )

register and transfer ownership of writer

## ◆ isLanguageSupported()

bool Ogre::RTShader::ProgramWriterManager::isLanguageSupported | ( | const String & | lang | ) |

Returns whether a given high-level language is supported.

## ◆ getProgramWriter()

ProgramWriter * Ogre::RTShader::ProgramWriterManager::getProgramWriter | ( | const String & | language | ) | const
| inline

References Ogre::Exception::ERR_ITEM_NOT_FOUND, and OGRE_EXCEPT.

## ◆ getSingleton()

ProgramWriterManager & Ogre::RTShader::ProgramWriterManager::getSingleton | ( |  | ) |
| static

Override standard Singleton retrieval.

Why do we do this? Well, it's because the Singleton implementation is in a .h file, which means it gets compiled into anybody who includes it. This is needed for the Singleton template to work, but we actually only want it compiled into the implementation of the class based on the Singleton, not all of them. If we don't change this, we get link errors when trying to use the Singleton-based class from an outside dll.

  This method just delegates to the template version anyway, but the implementation stays in this single compilation unit, preventing link errors.

References ProgramWriterManager().

## ◆ getSingletonPtr()

ProgramWriterManager * Ogre::RTShader::ProgramWriterManager::getSingletonPtr | ( |  | ) |
| static

Get the singleton instance.

References ProgramWriterManager().

The documentation for this class was generated from the following file:

- OgreShaderProgramWriterManager.h